Bug 328781 - Review Request: gegl - A graph based image processing framework
Review Request: gegl - A graph based image processing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 328771
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 20:56 EDT by Deji Akingunola
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 01:19:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2007-10-11 20:56:26 EDT
Spec URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl-0.0.13-0.1.20071011svn.fc8.src.rpm
Description: GEGL (Generic Graphics Library) is a graph based image processing framework. 
GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies. and a simple well defined API.

NOTE:
This software, gegl and babl(also submitted for review) are both currently alpha quality software under development. However, they are both needed to build/run the latest version of another package I maintain, gnomes-scan. The last version of gnome-scan without these dependencies doesn't build successfully on current rawhide.
Comment 1 Deji Akingunola 2007-10-12 10:14:19 EDT
Modified the spec not to point to an inexistent source url.
Spec URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl-0.0.13-0.2.20071011svn.fc8.src.rpm
Comment 2 Deji Akingunola 2007-10-13 08:52:39 EDT
With a couple of fixes;
Spec URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl-0.0.13-0.3.20071011svn.fc8.src.rpm
Comment 3 Deji Akingunola 2007-10-22 23:07:28 EDT
Updated the license field,

Spec URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl-0.0.13-0.4.20071011svn.fc8.src.rpm
Comment 4 Patrice Dumas 2007-10-23 03:00:29 EDT
* doesn't configure accepts --disable-static? If yes I think it is
  better than removing *.a after the build.

* %{_includedir}/gegl-1.0/ seems unowned
Comment 5 Deji Akingunola 2007-10-23 08:33:45 EDT
Yes, configure accepts --disable-static, using it now. Have also fix the
directory ownership. Thanks.

Spec URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl-0.0.13-0.5.20071011svn.fc8.src.rpm
Comment 6 Patrice Dumas 2007-10-24 17:31:14 EDT
The docs should be shipped.

2 relevant rpmlint warnings
gegl-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gegl-svn20071011/operations/render/perlin/perlin.c
gegl-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gegl-svn20071011/operations/io/ff-load.c

the BuildRequires should certainly be graphviz and not 
graphviz-devel
Comment 7 Deji Akingunola 2007-10-24 18:24:58 EDT
(In reply to comment #6)
> The docs should be shipped.
>
There's a currently a problem (upstream) with generating the docs, that they
have added a default configure option to disable building the doc until the
issue is resolved. I can't take on the responsibility of fixing it now.

> 2 relevant rpmlint warnings
> gegl-debuginfo.i386: W: spurious-executable-perm
> /usr/src/debug/gegl-svn20071011/operations/render/perlin/perlin.c
> gegl-debuginfo.i386: W: spurious-executable-perm
> /usr/src/debug/gegl-svn20071011/operations/io/ff-load.c
> 
> the BuildRequires should certainly be graphviz and not 
> graphviz-devel
I'll check up the last 2 issues.
Comment 8 Deji Akingunola 2007-10-26 06:33:25 EDT
I've fixed the graphiz BR and the gegl-debuginfo rpmlint warnings. New pacakges
below;

Spec URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl-0.0.13-0.6.20071011svn.fc8.src.rpm
Comment 9 Patrice Dumas 2007-10-27 07:44:27 EDT
Missing dependencies for devel. Unless I'm wrong:
Requires:    babl-devel glib2-devel

Since they are checked for explicitly, maybe you could
have an explicit BR on pango and cairo.

Also I suggest using
rm %{buildroot}%{_libdir}/*.la
or, at least 
rm -f %{buildroot}%{_libdir}/*.la
Comment 10 Deji Akingunola 2007-10-27 09:26:47 EDT
(In reply to comment #9)
> Missing dependencies for devel. Unless I'm wrong:
> Requires:    babl-devel glib2-devel
>
Yes gegl.pc requires both.
 
> Since they are checked for explicitly, maybe you could
> have an explicit BR on pango and cairo.
> 
But these are already pulled in by gtk2-devel.

Spec URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gegl/gegl-0.0.13-0.7.20071011svn.fc8.src.rpm
Comment 11 Patrice Dumas 2007-10-27 15:22:13 EDT
* follow guidelines
* expected rpmlint warning 
gegl-devel.i386: W: no-documentation
* follow naming guidelines
* free software
* source match upstream except for dates in .svn/entries
* %files section right
* library correctly packaged

APPROVED
Comment 12 Deji Akingunola 2007-10-27 18:22:10 EDT
New Package CVS Request
=======================
Package Name: gegl
Short Description: A graph based image processing framework
Owners: deji
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 13 Deji Akingunola 2007-11-13 01:19:29 EST
Thanks Patrice for doing the reviews

Note You need to log in before you can comment on or make changes to this bug.